Bug 564931

Summary: FTBFS cwiid-0.6.00-13.fc13: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: cwiidAssignee: Victor Bogado <bogado>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: bogado, jan.klepek
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: cwiid-0.6.00-14.20100505gitfadf11e.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-25 14:37:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 564245, 583276    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-02-13 12:21:24 EST
cwiid-0.6.00-13.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:21:27 EST
Created attachment 392544 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:21:29 EST
Created attachment 392545 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:21:30 EST
Created attachment 392546 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:21:31 EST
Created attachment 392547 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:21:33 EST
Created attachment 392548 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:21:34 EST
Created attachment 392549 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:48:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jan Klepek 2010-05-04 16:18:57 EDT
Hi Victor,

Any progress with this bug?
Comment 9 Victor Bogado 2010-05-06 08:16:33 EDT
Sorry, I have been really busy, even in my own time. :P I will be uploading the source today for testing. I've already made a successful mock build and now I'm just trimming the spec file.
Comment 10 Fedora Update System 2010-05-06 20:27:12 EDT
cwiid-0.6.00-14.20100505gitfadf11e.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cwiid-0.6.00-14.20100505gitfadf11e.fc13
Comment 11 Fedora Update System 2010-05-07 01:46:42 EDT
cwiid-0.6.00-14.20100505gitfadf11e.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cwiid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cwiid-0.6.00-14.20100505gitfadf11e.fc13
Comment 12 Fedora Update System 2010-05-25 14:37:44 EDT
cwiid-0.6.00-14.20100505gitfadf11e.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.